Index: tag/rc_yao_9.1/etc/src/Makefile
===================================================================
--- tag/rc_yao_9.1/etc/src/Makefile	(revision 280)
+++ tag/rc_yao_9.1/etc/src/Makefile	(revision 281)
@@ -16,80 +16,6 @@
 	-@echo " "
 	-@echo " --> Installation de Yao tools:"
-	-@echo " --> verification/creation du repertoire d-installation ..."
-	-@case `uname -s` in \
-	     Linux) \
-		case `cat /etc/mandriva-release` in \
-			( "Mandriva Linux release 2006.0 (Official) for i586" | \
-			  "Mandriva Linux release 2006.0 (Community) for i586" ) \
-	         		echo " --> MKDIR: Linux 32 Mandriva 2006 ..."; \
-				mkdir ../bin/lnx86 ;; \
-			"Mandriva Linux release 2006.0 (Official) for x86_64" ) \
-	         		echo " --> MKDIR: Linux 64 Mandriva 2006 ..."; \
-				mkdir ../bin/x86_64 ;; \
-			( "Mandriva Linux release 2007.0 (Official) for i586" | \
-			  "Mandriva Linux release 2007.1 (Official) for i586" ) \
-	         		echo " --> MKDIR: Linux 32 Mandriva 2007 ..."; \
-		 		mkdir ../bin/lnx86_Mandriva2007 ;; \
-			( "Mandriva Linux release 2007.0 (Official) for x86_64" | \
-			  "Mandriva Linux release 2007.1 (Official) for x86_64" ) \
-	         		echo " --> MKDIR: Linux 64 Mandriva 2007 ..."; \
-				mkdir ../bin/x86_64_Mandriva2007 ;; \
-			( "Mandriva Linux release 2008.0 (Official) for i586" | \
-			  "Mandriva Linux release 2008.1 (Official) for i586" ) \
-	         		echo " --> MKDIR: Linux 32 Mandriva 2008 ..."; \
-		 		mkdir ../bin/lnx86_Mandriva2008 ;; \
-			( "Mandriva Linux release 2008.0 (Official) for x86_64" | \
-			  "Mandriva Linux release 2008.1 (Official) for x86_64" ) \
-	         		echo " --> MKDIR: Linux 64 Mandriva 2008 ..."; \
-				mkdir ../bin/x86_64_Mandriva2008 ;; \
-			*) \
-			    echo " *** CAS LINUX INVALIDE <`cat /etc/mandriva-release`>. Modifiez votre Makefile pour inclure ce cas ***";; \
-		esac;; \
-	     SunOS) \
-		echo " --> MKDIR: Solaris ..."; \
-		mkdir ../bin/solaris ;; \
-	     Darwin) \
-		echo " --> MKDIR: MacOS X (darwin) ..."; \
-		mkdir ../bin/darwin ;; \
-	     *) echo "UNKNOWN LOCAL MACHINE TYPE (`uname -s`)";; \
-	esac
 	-@echo " --> copie les outils compiles ..."
-	@case `uname -s` in \
-	     Linux) \
-		case `cat /etc/mandriva-release` in \
-			( "Mandriva Linux release 2006.0 (Official) for i586" | \
-			  "Mandriva Linux release 2006.0 (Community) for i586" ) \
-	         		echo " --> INSTALL: Linux 32 Mandriva 2006 ..."; \
-				$(CP) $(YCTOOL) ../bin/lnx86/ ;; \
-			"Mandriva Linux release 2006.0 (Official) for x86_64" ) \
-	         		echo " --> INSTALL: Linux 64 Mandriva 2006 ..."; \
-				$(CP) $(YCTOOL) ../bin/x86_64/ ;; \
-			( "Mandriva Linux release 2007.0 (Official) for i586" | \
-			  "Mandriva Linux release 2007.1 (Official) for i586" ) \
-	         		echo " --> INSTALL: Linux 32 Mandriva 2007 ..."; \
-		 		$(CP) $(YCTOOL) ../bin/lnx86_Mandriva2007/ ;; \
-			( "Mandriva Linux release 2007.0 (Official) for x86_64" | \
-			  "Mandriva Linux release 2007.1 (Official) for x86_64" ) \
-	         		echo " --> INSTALL: Linux 64 Mandriva 2007 ..."; \
-				$(CP) $(YCTOOL) ../bin/x86_64_Mandriva2007/ ;; \
-			( "Mandriva Linux release 2008.0 (Official) for i586" | \
-			  "Mandriva Linux release 2008.1 (Official) for i586" ) \
-	         		echo " --> INSTALL: Linux 32 Mandriva 2008 ..."; \
-		 		$(CP) $(YCTOOL) ../bin/lnx86_Mandriva2008/ ;; \
-			( "Mandriva Linux release 2008.0 (Official) for x86_64" | \
-			  "Mandriva Linux release 2008.1 (Official) for x86_64" ) \
-	         		echo " --> INSTALL: Linux 64 Mandriva 2008 ..."; \
-				$(CP) $(YCTOOL) ../bin/x86_64_Mandriva2008/ ;; \
-			*) \
-			    echo " *** CAS LINUX INVALIDE <`cat /etc/mandriva-release`>. Modifiez votre Makefile pour inclure ce cas ***";; \
-		esac;; \
-	     SunOS) \
-		echo " --> INSTALL: Solaris ..."; \
-		$(CP) $(YCTOOL) ../bin/solaris/ ;; \
-	     Darwin) \
-		echo " --> INSTALL: MacOS X (darwin) ..."; \
-		$(CP) $(YCTOOL) ../bin/darwin/ ;; \
-	     *) echo "UNKNOWN LOCAL MACHINE TYPE (`uname -s`)";; \
-	esac
+	$(CP) $(YCTOOL) ../bin/ ;
 	-@echo " $(YCTOOL) installe."
 
Index: tag/rc_yao_9.1/etc/src/Makefile_labo
===================================================================
--- tag/rc_yao_9.1/etc/src/Makefile_labo	(revision 281)
+++ tag/rc_yao_9.1/etc/src/Makefile_labo	(revision 281)
@@ -0,0 +1,102 @@
+#This makefile has been done for an install on the LOCEAN laboratory.
+#In the LOCEAN intranet we have plenty of different architectures. When we run YAO on a machine we have to use the right
+#executable, the LOCEAN install allows to understand the architecture of the machine.
+#Use the normal makefile for an install on a local machine.
+
+# ------------------------------------------------------------
+# Compilation Specification File.   Use GNU make !!
+# ------------------------------------------------------------
+YCTOOL=yf2m yrms ylmodf yrcmt Ydf1
+# ------------------------------------------------------------
+CP=cp
+# ------------------------------------------------------------
+CC=gcc
+CFLAGS=-O0 -lm -g -Wall
+CPP=g++
+CPPFLAGS=-O0 -lm -g -Wall
+
+all: $(YCTOOL)
+
+install: all
+	-@echo " "
+	-@echo " --> Installation de Yao tools:"
+	-@echo " --> verification/creation du repertoire d-installation ..."
+	-@case `uname -s` in \
+	     Linux) \
+		case `cat /etc/mandriva-release` in \
+			( "Mandriva Linux release 2006.0 (Official) for i586" | \
+			  "Mandriva Linux release 2006.0 (Community) for i586" ) \
+	         		echo " --> MKDIR: Linux 32 Mandriva 2006 ..."; \
+				mkdir ../bin/lnx86 ;; \
+			"Mandriva Linux release 2006.0 (Official) for x86_64" ) \
+	         		echo " --> MKDIR: Linux 64 Mandriva 2006 ..."; \
+				mkdir ../bin/x86_64 ;; \
+			( "Mandriva Linux release 2007.0 (Official) for i586" | \
+			  "Mandriva Linux release 2007.1 (Official) for i586" ) \
+	         		echo " --> MKDIR: Linux 32 Mandriva 2007 ..."; \
+		 		mkdir ../bin/lnx86_Mandriva2007 ;; \
+			( "Mandriva Linux release 2007.0 (Official) for x86_64" | \
+			  "Mandriva Linux release 2007.1 (Official) for x86_64" ) \
+	         		echo " --> MKDIR: Linux 64 Mandriva 2007 ..."; \
+				mkdir ../bin/x86_64_Mandriva2007 ;; \
+			( "Mandriva Linux release 2008.0 (Official) for i586" | \
+			  "Mandriva Linux release 2008.1 (Official) for i586" ) \
+	         		echo " --> MKDIR: Linux 32 Mandriva 2008 ..."; \
+		 		mkdir ../bin/lnx86_Mandriva2008 ;; \
+			( "Mandriva Linux release 2008.0 (Official) for x86_64" | \
+			  "Mandriva Linux release 2008.1 (Official) for x86_64" ) \
+	         		echo " --> MKDIR: Linux 64 Mandriva 2008 ..."; \
+				mkdir ../bin/x86_64_Mandriva2008 ;; \
+			*) \
+			    echo " *** CAS LINUX INVALIDE <`cat /etc/mandriva-release`>. Modifiez votre Makefile pour inclure ce cas ***";; \
+		esac;; \
+	     SunOS) \
+		echo " --> MKDIR: Solaris ..."; \
+		mkdir ../bin/solaris ;; \
+	     Darwin) \
+		echo " --> MKDIR: MacOS X (darwin) ..."; \
+		mkdir ../bin/darwin ;; \
+	     *) echo "UNKNOWN LOCAL MACHINE TYPE (`uname -s`)";; \
+	esac
+	-@echo " --> copie les outils compiles ..."
+	@case `uname -s` in \
+	     Linux) \
+		case `cat /etc/mandriva-release` in \
+			( "Mandriva Linux release 2006.0 (Official) for i586" | \
+			  "Mandriva Linux release 2006.0 (Community) for i586" ) \
+	         		echo " --> INSTALL: Linux 32 Mandriva 2006 ..."; \
+				$(CP) $(YCTOOL) ../bin/lnx86/ ;; \
+			"Mandriva Linux release 2006.0 (Official) for x86_64" ) \
+	         		echo " --> INSTALL: Linux 64 Mandriva 2006 ..."; \
+				$(CP) $(YCTOOL) ../bin/x86_64/ ;; \
+			( "Mandriva Linux release 2007.0 (Official) for i586" | \
+			  "Mandriva Linux release 2007.1 (Official) for i586" ) \
+	         		echo " --> INSTALL: Linux 32 Mandriva 2007 ..."; \
+		 		$(CP) $(YCTOOL) ../bin/lnx86_Mandriva2007/ ;; \
+			( "Mandriva Linux release 2007.0 (Official) for x86_64" | \
+			  "Mandriva Linux release 2007.1 (Official) for x86_64" ) \
+	         		echo " --> INSTALL: Linux 64 Mandriva 2007 ..."; \
+				$(CP) $(YCTOOL) ../bin/x86_64_Mandriva2007/ ;; \
+			( "Mandriva Linux release 2008.0 (Official) for i586" | \
+			  "Mandriva Linux release 2008.1 (Official) for i586" ) \
+	         		echo " --> INSTALL: Linux 32 Mandriva 2008 ..."; \
+		 		$(CP) $(YCTOOL) ../bin/lnx86_Mandriva2008/ ;; \
+			( "Mandriva Linux release 2008.0 (Official) for x86_64" | \
+			  "Mandriva Linux release 2008.1 (Official) for x86_64" ) \
+	         		echo " --> INSTALL: Linux 64 Mandriva 2008 ..."; \
+				$(CP) $(YCTOOL) ../bin/x86_64_Mandriva2008/ ;; \
+			*) \
+			    echo " *** CAS LINUX INVALIDE <`cat /etc/mandriva-release`>. Modifiez votre Makefile pour inclure ce cas ***";; \
+		esac;; \
+	     SunOS) \
+		echo " --> INSTALL: Solaris ..."; \
+		$(CP) $(YCTOOL) ../bin/solaris/ ;; \
+	     Darwin) \
+		echo " --> INSTALL: MacOS X (darwin) ..."; \
+		$(CP) $(YCTOOL) ../bin/darwin/ ;; \
+	     *) echo "UNKNOWN LOCAL MACHINE TYPE (`uname -s`)";; \
+	esac
+	-@echo " $(YCTOOL) installe."
+
+clean:
+	-rm -f *.o *.a $(YCTOOL)
Index: tag/rc_yao_9.1/yao/share/inria/src/Makefile
===================================================================
--- tag/rc_yao_9.1/yao/share/inria/src/Makefile	(revision 280)
+++ tag/rc_yao_9.1/yao/share/inria/src/Makefile	(revision 281)
@@ -34,47 +34,6 @@
 install: all
 	-@echo " "
-	-@echo " --> Installation de Yao tools:"
-	-@echo " --> verification/creation du repertoire d-installation ..."
-	-@case `uname -s` in \
-	     Linux) \
-		case `uname -m` in \
-			x86_64) \
-		 		mkdir ../bin/x86_64 ;; \
-			*) \
-				mkdir ../bin/lnx86 ;; \
-		esac;; \
-	     SunOS) \
-		 mkdir ../bin/solaris ;; \
-	     Darwin) \
-		 mkdir ../bin/darwin ;; \
-	     *) echo "UNKNOWN LOCAL MACHINE TYPE ($(ULOCAL))";; \
-	esac
-	-@echo " --> copie les outils compiles ..."
-	@case `uname -s` in \
-	     Linux) \
-		case `uname -m` in \
-			x86_64) \
-	         		echo " --> Linux 64 bits INSTALL ..."; \
-		 		$(INSTALL) $(M1QN3LIB) ../bin/x86_64/ ;; \
-			*) \
-	         		echo " --> Linux 32 bits INSTALL ..."; \
-				 $(INSTALL) $(M1QN3LIB) ../bin/lnx86/ ;; \
-		esac;; \
-	     SunOS) \
-	         echo " --> Sun Solaris INSTALL ..."; \
-		 $(INSTALL) $(M1QN3LIB) ../bin/solaris/ ;; \
-	     Darwin) \
-	         echo " --> MacOS X Darwin INSTALL ..."; \
-		 $(INSTALL) $(M1QN3LIB) ../bin/darwin/ ;; \
-	     *) echo "UNKNOWN LOCAL MACHINE TYPE ($(ULOCAL))";; \
-	esac
-
-installmdk: all
-	@case `uname -s` in \
-	     Linux) \
-	         echo " --> Mandrake INSTALL ..."; \
-	         $(INSTALL) $(M1QN3LIB) ../bin/mdk/;; \
-	     *) echo "UNKNOWN LOCAL SYSTEM TYPE ($(ULOCAL))";; \
-	esac
+	-@echo " --> Installation de l'outil integrée mqn (INRIA) :"
+	$(INSTALL) $(M1QN3LIB) ../bin/ ; 
 
 clean:
Index: tag/rc_yao_9.1/yao/share/inria/src/Makefile_labo
===================================================================
--- tag/rc_yao_9.1/yao/share/inria/src/Makefile_labo	(revision 281)
+++ tag/rc_yao_9.1/yao/share/inria/src/Makefile_labo	(revision 281)
@@ -0,0 +1,117 @@
+#This makefile has been done for an install on the LOCEAN laboratory.
+#In the LOCEAN intranet we have plenty of different architectures. When we run YAO on a machine we have to use the right
+#executable, the LOCEAN install allows to understand the architecture of the machine.
+#Use the normal makefile for an install on a local machine.
+
+# ------------------------------------------------------------
+# Compilation Specification File.   Use GNU make !!
+#
+# > Pour chaque plateforme (machine-systeme), commencer
+# par faire un make clean
+#
+# > Pour l'ancienne version mandrake : machine styx, ajax, ..., il
+# faut compiler avec g77
+# Pour les nouvelles machine-systeme, il faut compiler avec gfortran
+#
+# QUID des autres options -O0, -g -Wall !?
+#
+# ------------------------------------------------------------
+INSTALL=install
+# ------------------------------------------------------------
+#Choisir le bon compilateur fortran :
+FC=gfortran
+#avec gfortran, il faudra faire un make installmdv
+#          OU
+#FC=g77
+#avec g77, il faudra faire un make installmdk
+# ------------------------------------------------------------
+FFLAGS=-Dkey_4dvar -O0 -g -Wall
+# ------------------------------------------------------------
+Fobjects:= $(patsubst %.F,%.o,$(wildcard *.F))
+fobjects:= $(patsubst %.f,%.o,$(wildcard *.f))
+objects:= $(Fobjects) $(fobjects)
+# ------------------------------------------------------------
+M1QN3LIB=libmqn.a
+
+
+all: $(M1QN3LIB)
+
+install: all
+	-@echo " "
+	-@echo " --> Installation de Yao tools:"
+	-@echo " --> verification/creation du repertoire d-installation ..."
+	-@case `uname -s` in \
+	     Linux) \
+		case `uname -m` in \
+			x86_64) \
+		 		mkdir ../bin/x86_64 ;; \
+			*) \
+				mkdir ../bin/lnx86 ;; \
+		esac;; \
+	     SunOS) \
+		 mkdir ../bin/solaris ;; \
+	     Darwin) \
+		 mkdir ../bin/darwin ;; \
+	     *) echo "UNKNOWN LOCAL MACHINE TYPE ($(ULOCAL))";; \
+	esac
+	-@echo " --> copie les outils compiles ..."
+	@case `uname -s` in \
+	     Linux) \
+		case `uname -m` in \
+			x86_64) \
+	         		echo " --> Linux 64 bits INSTALL ..."; \
+		 		$(INSTALL) $(M1QN3LIB) ../bin/x86_64/ ;; \
+			*) \
+	         		echo " --> Linux 32 bits INSTALL ..."; \
+				 $(INSTALL) $(M1QN3LIB) ../bin/lnx86/ ;; \
+		esac;; \
+	     SunOS) \
+	         echo " --> Sun Solaris INSTALL ..."; \
+		 $(INSTALL) $(M1QN3LIB) ../bin/solaris/ ;; \
+	     Darwin) \
+	         echo " --> MacOS X Darwin INSTALL ..."; \
+		 $(INSTALL) $(M1QN3LIB) ../bin/darwin/ ;; \
+	     *) echo "UNKNOWN LOCAL MACHINE TYPE ($(ULOCAL))";; \
+	esac
+
+installmdk: all
+	@case `uname -s` in \
+	     Linux) \
+	         echo " --> Mandrake INSTALL ..."; \
+	         $(INSTALL) $(M1QN3LIB) ../bin/mdk/;; \
+	     *) echo "UNKNOWN LOCAL SYSTEM TYPE ($(ULOCAL))";; \
+	esac
+
+clean:
+	@echo " --> clean "
+	-rm -f *.o *.a
+
+libmqn.a: $(objects)
+	ar r libmqn.a $(objects)
+	ranlib libmqn.a
+
+canctl.o: canctl.F
+	$(FC) $(FFLAGS) -c canctl.F
+
+ctlcan.o: ctlcan.F
+	$(FC) $(FFLAGS) -c ctlcan.F
+
+m1qn3.o: m1qn3.F
+	$(FC) $(FFLAGS) -c m1qn3.F
+
+optstp.o: optstp.F
+	$(FC) $(FFLAGS) -c optstp.F
+
+scpctl.o: scpctl.F
+	$(FC) $(FFLAGS) -c scpctl.F
+
+m2qn1.o: m2qn1.f
+	$(FC) $(FFLAGS) -c m2qn1.f
+#-----------------------------------------
+#QUID
+#YPROG=Yao8
+#CC=gcc
+#CFLAGS=-O0 -g -Wall
+#$(YPROG): $(YPROG).o
+#	$(CC) $(CFLAGS) $< -o $@
+#pgms:= $(wildcard *.F *.f)
Index: tag/rc_yao_9.1/yao/src/makefile
===================================================================
--- tag/rc_yao_9.1/yao/src/makefile	(revision 280)
+++ tag/rc_yao_9.1/yao/src/makefile	(revision 281)
@@ -23,5 +23,5 @@
 SRCS		= Translator.cpp main.cpp analyzers/BaseLexer.cpp analyzers/BaseParser.cpp $(HEADER) $(HEADERAUX)
 CTAGS		= ctags 
-INCLUDE		= $(CXXFLAGS) -I../include 
+INCLUDE		= $(CXXFLAGS) -I../include -I../include 
 
 # main target ###############################################################################
@@ -29,7 +29,4 @@
 	$(CXX) $(YAOOBJECTS) $(OBJECTS) $(LFLAGS) -o $(EXEC) $(INCLUDE)
         
-	#Pay attention, this temporary
-	#$(CP) $(EXEC) ../bin/x86_64_Mandriva2008/
-	
 	$(CP) $(EXEC) ../bin/
 
@@ -41,5 +38,4 @@
 
 # dependencies ##############################################################################################
-#main.o:	main.cpp $(HEADERAUX) $(HEADER)
 main.o:	main.cpp $(HEADERAUX)
 	$(CXX) -c main.cpp $(INCLUDE) 
@@ -57,6 +53,4 @@
 	$(CXX) -o YAOObjects/Order.o -c YAOObjects/Order.cpp $(INCLUDE)
 
-#analyzers/BaseLexer.hpp: analyzers/grammar.g
-#	CLASSPATH=.:../lib/antlr.jar; export CLASSPATH; java antlr.Tool -o analyzers analyzers/grammar.g 
 
 # tar target: generate tarball################################################################################
@@ -99,5 +93,5 @@
 
 # Install target #############################################################################
-# For each platform (machine-system) the same command: make install.
+# For any platform (machine-system) the same command: make install.
 # --------------------------------------------------------------------------------------------
 
@@ -115,106 +109,7 @@
 	-@echo " "
 	-@echo " --> INSTALL of the YAO generator :"
-	-@echo " --> verification/creation of install directory..."
-	-@case `uname -s` in \
-             Linux) \
-                case `cat /etc/mandriva-release` in \
-                        ( "Mandriva Linux release 2006.0 (Official) for i586" | \
-                          "Mandriva Linux release 2006.0 (Community) for i586" ) \
-                                echo " --> MKDIR: Linux 32 Mandriva 2006 ..."; \
-                                mkdir ../bin/lnx86 ;; \
-                        "Mandriva Linux release 2006.0 (Official) for x86_64") \
-                                echo " --> MKDIR: Linux 64 Mandriva 2006 ..."; \
-                                mkdir ../bin/x86_64 ;; \
-                        ( "Mandriva Linux release 2007.0 (Official) for i586" | \
-                          "Mandriva Linux release 2007.1 (Official) for i586" ) \
-                                echo " --> MKDIR: Linux 32 Mandriva 2007 ..."; \
-                                mkdir ../bin/lnx86_Mandriva2007 ;; \
-                        ( "Mandriva Linux release 2007.0 (Official) for x86_64" | \
-                          "Mandriva Linux release 2007.1 (Official) for x86_64" ) \
-                                echo " --> MKDIR: Linux 64 Mandriva 2007 ..."; \
-                                mkdir ../bin/x86_64_Mandriva2007 ;; \
-                        ( "Mandriva Linux release 2008.0 (Official) for i586" | \
-                          "Mandriva Linux release 2008.1 (Official) for i586" ) \
-                                echo " --> MKDIR: Linux 32 Mandriva 2008 ..."; \
-                                mkdir ../bin/lnx86_Mandriva2008 ;; \
-                        ( "Mandriva Linux release 2008.0 (Official) for x86_64" | \
-                          "Mandriva Linux release 2008.1 (Official) for x86_64" ) \
-                                echo " --> MKDIR: Linux 64 Mandriva 2008 ..."; \
-                                mkdir ../bin/x86_64_Mandriva2008 ;; \
-                                     ( "Mandriva Linux release 2009.0 (Official) for i586" | \
-                          "Mandriva Linux release 2009.1 (Official) for i586" ) \
-                                echo " --> MKDIR: Linux 32 Mandriva 2009 ..."; \
-                                mkdir ../bin/lnx86_Mandriva2009 ;; \
-                        ( "Mandriva Linux release 2010.0 (Official) for x86_64" | \
-                          "Mandriva Linux release 2010.1 (Official) for x86_64" ) \
-                                echo " --> MKDIR: Linux 64 Mandriva 2010 ..."; \
-                                mkdir ../bin/x86_64_Mandriva2010 ;; \
-	           *) \
-                            echo " *** CASE LINUX NOT VALID <`cat /etc/mandriva-release`>. Change your makefile in order to include this case ***";; \
-                esac;; \
-             SunOS) \
-                echo " --> MKDIR: Solaris ..."; \
-                mkdir ../bin/solaris ;; \
-             Darwin) \
-                echo " --> MKDIR: MacOS X (darwin) ..."; \
-                mkdir ../bin/darwin ;; \
-             *) echo "UNKNOWN LOCAL MACHINE TYPE (`uname -s`)";; \
-        esac
-	-@echo " --> copy of the executable..."
-	@case `uname -s` in \
-             Linux) \
-                case `cat /etc/mandriva-release` in \
-                        ( "Mandriva Linux release 2006.0 (Official) for i586" | \
-                          "Mandriva Linux release 2006.0 (Community) for i586" ) \
-                                echo " --> INSTALL: Linux 32 Mandriva 2006 ..."; \
-                                $(CP) $(EXEC) ../bin/lnx86/ ; \
-                                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/lnx86/ ;; \
-                        "Mandriva Linux release 2006.0 (Official) for x86_64" ) \
-                                echo " --> INSTALL: Linux 64 Mandriva 2006 ..."; \
-                                $(CP) $(EXEC) ../bin/x86_64/ ; \
-                                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/x86_64/ ;; \
-                        ( "Mandriva Linux release 2007.0 (Official) for i586" | \
-                          "Mandriva Linux release 2007.1 (Official) for i586" ) \
-                                echo " --> INSTALL: Linux 32 Mandriva 2007 ..."; \
-                                $(CP) $(EXEC) ../bin/lnx86_Mandriva2007/ ; \
-                                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/lnx86_Mandriva2007/ ;; \
-                        ( "Mandriva Linux release 2007.0 (Official) for x86_64" | \
-                          "Mandriva Linux release 2007.1 (Official) for x86_64" ) \
-                                echo " --> INSTALL: Linux 64 Mandriva 2007 ..."; \
-                                $(CP) $(EXEC) ../bin/x86_64_Mandriva2007/ ; \
-                                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/x86_64_Mandriva2007/ ;; \
-                        ( "Mandriva Linux release 2008.0 (Official) for i586" | \
-                          "Mandriva Linux release 2008.1 (Official) for i586" ) \
-                                echo " --> INSTALL: Linux 32 Mandriva 2008 ..."; \
-                                $(CP) $(EXEC) ../bin/lnx86_Mandriva2008/ ; \
-                                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/lnx86_Mandriva2008/ ;; \
-                        ( "Mandriva Linux release 2008.0 (Official) for x86_64" | \
-                          "Mandriva Linux release 2008.1 (Official) for x86_64" ) \
-                                echo " --> INSTALL: Linux 64 Mandriva 2008 ..."; \
-                                $(CP) $(EXEC) ../bin/x86_64_Mandriva2008/ ; \
-                                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/x86_64_Mandriva2008/ ;; \
-			( "Mandriva Linux release 2009.0 (Official) for i586" | \
-                          "Mandriva Linux release 2009.1 (Official) for i586" ) \
-                                echo " --> INSTALL: Linux 32 Mandriva 2009 ..."; \
-                                $(CP) $(EXEC) ../bin/lnx86_Mandriva2009/ ; \
-                                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/lnx86_Mandriva2009/ ;; \
-			( "Mandriva Linux release 2010.0 (Official) for x86_64" | \
-                          "Mandriva Linux release 2010.1 (Official) for x86_64" ) \
-                                echo " --> INSTALL: Linux 64 Mandriva 2010 ..."; \
-                                $(CP) $(EXEC) ../bin/x86_64_Mandriva2010/ ; \
-                                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/x86_64_Mandriva2010/ ;; \
-                        *) \
-                            echo " *** CASE LINUX NOT VALID <`cat /etc/mandriva-release`>. Change your makefile in order to include this case ***";; \
-                esac;; \
-             SunOS) \
-                echo " --> INSTALL: Solaris ..."; \
-                $(CP) $(EXEC) ../bin/solaris/ ; \
-                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/solaris/ ;; \
-             Darwin) \
-                echo " --> INSTALL: MacOS X (darwin) ..."; \
-                $(CP) $(EXEC) ../bin/darwin/ ; \
-                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/darwin/ ;; \
-             *) echo "UNKNOWN LOCAL MACHINE TYPE (`uname -s`)";; \
-        esac
+	-@echo " --> copy of the executable..." 
+	$(CP) $(EXEC) ../bin/ ; 
+	$(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/
 	-@echo " $(EXEC) installed."
 
Index: tag/rc_yao_9.1/yao/src/makefile_labo
===================================================================
--- tag/rc_yao_9.1/yao/src/makefile_labo	(revision 281)
+++ tag/rc_yao_9.1/yao/src/makefile_labo	(revision 281)
@@ -0,0 +1,228 @@
+#Makefile YAO version 9
+#This makefile has been done for an install on the LOCEAN laboratory.
+#In the LOCEAN intranet we have plenty of different architectures. When we run YAO on a machine we have to use the right
+#executable, the LOCEAN install allows to understand the architecture of the machine.
+#Use the normal makefile for an install on a local machine.
+
+# variables ###############################################################################
+CXX		= g++
+CP		= cp
+ANTLRDIR	= ../share/antlr-2.7.7/lib/cpp/
+MQNLIB		= libmqn.a
+MQNDIR		= ../share/inria
+BOOSTDIR        = ../share/boost_1_39_0
+BOOSTFLAG       = -I $(BOOSTDIR)
+
+
+#LFLAGS		= -L../lib -lantlr
+LFLAGS		= -L$(ANTLRDIR)src -lantlr 
+#LDFLAGS		= -L../lib -lantlr
+#LDLIBS		= -L../lib -lantlr
+CXXFLAGS	= -I$(ANTLRDIR)
+EXEC		= Yao9Generator
+OBJECTS		= analyzers/BaseLexer.o analyzers/BaseParser.o Translator.o main.o
+YAOOBJECTS	= YAOObjects/Order.o YAOObjects/Modul.o YAOObjects/Connection.o  
+HEADER		= YAOObjects/Constant.hpp YAOObjects/Context.hpp help/FilePath.hpp YAOObjects/Function.hpp YAOObjects/Modul.hpp YAOObjects/Identifier.hpp YAOObjects/Neuron.hpp YAOObjects/Operator.hpp YAOObjects/Table.hpp YAOObjects/Component.hpp YAOObjects/Object.hpp analyzers/YaoTokenTypes.hpp YAOObjects/SpaceExtent.hpp YAOObjects/Trajectory.hpp YAOObjects/Connection.hpp YAOObjects/Order.hpp help/Display.hpp
+HEADERAUX	= Translator.hpp help/FilePath.hpp
+DEB		= -g -Wall 
+TARNAME		= yao9.tgz
+GRAMMAR		= grammar
+SRCS		= Translator.cpp main.cpp analyzers/BaseLexer.cpp analyzers/BaseParser.cpp $(HEADER) $(HEADERAUX)
+CTAGS		= ctags 
+INCLUDE		= $(CXXFLAGS) $(BOOSTFLAG) -I../include -I../include 
+
+# main target ###############################################################################
+all:	$(OBJECTS) $(YAOOBJECTS)    
+	$(CXX) $(YAOOBJECTS) $(OBJECTS) $(LFLAGS) -o $(EXEC) $(INCLUDE)
+        
+	#Pay attention, this temporary
+	#$(CP) $(EXEC) ../bin/x86_64_Mandriva2008/
+	
+	$(CP) $(EXEC) ../bin/
+
+	#@echo  
+	#@echo "Nardi's application---------------" 
+	#./$(EXEC) luigiShalw.d
+	
+	@echo "-----Done----- "
+
+# dependencies ##############################################################################################
+#main.o:	main.cpp $(HEADERAUX) $(HEADER)
+main.o:	main.cpp $(HEADERAUX)
+	$(CXX) -c main.cpp $(INCLUDE) 
+Translator.o:	Translator.cpp $(HEADERAUX) help/Enforcer.hpp $(HEADER)
+	$(CXX) -c Translator.cpp $(INCLUDE)  
+analyzers/BaseParser.o:	analyzers/BaseParser.cpp analyzers/BaseParser.hpp $(HEADER)
+	$(CXX) -o analyzers/BaseParser.o -c analyzers/BaseParser.cpp $(INCLUDE)  
+analyzers/BaseLexer.o:	analyzers/BaseLexer.cpp analyzers/BaseLexer.hpp $(HEADER)
+	$(CXX) -o analyzers/BaseLexer.o -c analyzers/BaseLexer.cpp $(INCLUDE)
+YAOObjects/Connection.o:YAOObjects/Connection.cpp YAOObjects/Connection.hpp help/Helper.hpp YAOObjects/Modul.hpp YAOObjects/Table.hpp YAOObjects/Trajectory.hpp
+	$(CXX) -o YAOObjects/Connection.o -c YAOObjects/Connection.cpp $(INCLUDE)
+YAOObjects/Modul.o:	YAOObjects/Modul.cpp YAOObjects/Modul.hpp YAOObjects/Neuron.hpp YAOObjects/Component.hpp YAOObjects/Operator.hpp YAOObjects/Object.hpp YAOObjects/Table.hpp YAOObjects/Context.hpp
+	$(CXX) -o YAOObjects/Modul.o -c YAOObjects/Modul.cpp $(INCLUDE)
+YAOObjects/Order.o:	YAOObjects/Order.cpp YAOObjects/Order.hpp help/Helper.hpp YAOObjects/Table.hpp YAOObjects/Modul.hpp
+	$(CXX) -o YAOObjects/Order.o -c YAOObjects/Order.cpp $(INCLUDE)
+
+#analyzers/BaseLexer.hpp: analyzers/grammar.g
+#	CLASSPATH=.:../lib/antlr.jar; export CLASSPATH; java antlr.Tool -o analyzers analyzers/grammar.g 
+
+# tar target: generate tarball################################################################################
+tar:
+	mkdir ../yao9
+	cp -r * ../yao9
+	mv ../yao9 .
+	tar czvf $(TARNAME) yao9
+	rm -r yao9
+	#tar czvf $(TARNAME) Makefile *.hpp *.cpp
+
+# tags generation target ####################################################################################
+# Generate tags for ricursively for all subdirectories
+tags:   
+	${CTAGS} -R --c++-kinds=+p --fields=+iaS --extra=+q . ../include/ 
+# grammar compilation target: in the case we want generate the Lexer and the parser for the first time########
+$(GRAMMAR): generateAnalyzer all
+
+generateAnalyzer:
+	CLASSPATH=.:../share/antlr-2.7.7/antlr.jar; export CLASSPATH; java antlr.Tool -o analyzers analyzers/grammar.g 
+	#CLASSPATH=.:../lib/antlr.jar; export CLASSPATH; java antlr.Tool -o analyzers analyzers/grammar.g 
+
+# debug compilation target ###################################################################################
+debug:	$(OBJECTS)
+	$(CXX) $(OBJECTS) $(LFLAGS) -o $(EXEC) $(DEB) $(INCLUDE)
+	@echo 
+	gdb $(EXEC)
+
+# clean target #############################################################################
+clean:
+	rm -f $(EXEC) *.o analyzers/*.o YAOObjects/*.o *~ core.* Y1* Y2* Yaoext_* $(TARNAME) 
+	@echo -----Clean done-----
+	@echo
+
+# clean grammar target ######################################################################
+cleanGrammar:
+	rm -f $(EXEC) *.o analyzers/*.o YAOObjects/*.o *~ core.* Y1* Y2* Yaoext_* $(TARNAME) analyzers/BaseLexer* analyzers/BaseParser* analyzers/YaoTokenTypes*
+	@echo -----Clean grammar done-----
+	@echo
+
+# Install target #############################################################################
+# For each platform (machine-system) the same command: make install.
+# --------------------------------------------------------------------------------------------
+
+install: 
+	# Compile ANTLR sources for the present architecture
+	 cd ../share/antlr-2.7.7/; ./configure; make -f makefile_labo; cd -
+	# Compile MQN sources for the present architecture
+	 cd ../share/inria/src/; make -f makefile_labo clean; make -f makefile_labo; cd -
+	# Compile of some useful YAO scripts
+	 cd ../../etc/src/; make -f makefile_labo clean; make -f makefile_labo; make -f makefile_labo install; cd -
+	# Compile YAO grammar
+	 make -f makefile_labo cleanGrammar
+	 make -f makefile_labo grammar
+	 #make all
+	-@echo " "
+	-@echo " --> INSTALL of the YAO generator :"
+	-@echo " --> verification/creation of install directory..."
+	-@case `uname -s` in \
+             Linux) \
+                case `cat /etc/mandriva-release` in \
+                        ( "Mandriva Linux release 2006.0 (Official) for i586" | \
+                          "Mandriva Linux release 2006.0 (Community) for i586" ) \
+                                echo " --> MKDIR: Linux 32 Mandriva 2006 ..."; \
+                                mkdir ../bin/lnx86 ;; \
+                        "Mandriva Linux release 2006.0 (Official) for x86_64") \
+                                echo " --> MKDIR: Linux 64 Mandriva 2006 ..."; \
+                                mkdir ../bin/x86_64 ;; \
+                        ( "Mandriva Linux release 2007.0 (Official) for i586" | \
+                          "Mandriva Linux release 2007.1 (Official) for i586" ) \
+                                echo " --> MKDIR: Linux 32 Mandriva 2007 ..."; \
+                                mkdir ../bin/lnx86_Mandriva2007 ;; \
+                        ( "Mandriva Linux release 2007.0 (Official) for x86_64" | \
+                          "Mandriva Linux release 2007.1 (Official) for x86_64" ) \
+                                echo " --> MKDIR: Linux 64 Mandriva 2007 ..."; \
+                                mkdir ../bin/x86_64_Mandriva2007 ;; \
+                        ( "Mandriva Linux release 2008.0 (Official) for i586" | \
+                          "Mandriva Linux release 2008.1 (Official) for i586" ) \
+                                echo " --> MKDIR: Linux 32 Mandriva 2008 ..."; \
+                                mkdir ../bin/lnx86_Mandriva2008 ;; \
+                        ( "Mandriva Linux release 2008.0 (Official) for x86_64" | \
+                          "Mandriva Linux release 2008.1 (Official) for x86_64" ) \
+                                echo " --> MKDIR: Linux 64 Mandriva 2008 ..."; \
+                                mkdir ../bin/x86_64_Mandriva2008 ;; \
+                                     ( "Mandriva Linux release 2009.0 (Official) for i586" | \
+                          "Mandriva Linux release 2009.1 (Official) for i586" ) \
+                                echo " --> MKDIR: Linux 32 Mandriva 2009 ..."; \
+                                mkdir ../bin/lnx86_Mandriva2009 ;; \
+                        ( "Mandriva Linux release 2010.0 (Official) for x86_64" | \
+                          "Mandriva Linux release 2010.1 (Official) for x86_64" ) \
+                                echo " --> MKDIR: Linux 64 Mandriva 2010 ..."; \
+                                mkdir ../bin/x86_64_Mandriva2010 ;; \
+	           *) \
+                            echo " *** CASE LINUX NOT VALID <`cat /etc/mandriva-release`>. Change your makefile in order to include this case ***";; \
+                esac;; \
+             SunOS) \
+                echo " --> MKDIR: Solaris ..."; \
+                mkdir ../bin/solaris ;; \
+             Darwin) \
+                echo " --> MKDIR: MacOS X (darwin) ..."; \
+                mkdir ../bin/darwin ;; \
+             *) echo "UNKNOWN LOCAL MACHINE TYPE (`uname -s`)";; \
+        esac
+	-@echo " --> copy of the executable..."
+	@case `uname -s` in \
+             Linux) \
+                case `cat /etc/mandriva-release` in \
+                        ( "Mandriva Linux release 2006.0 (Official) for i586" | \
+                          "Mandriva Linux release 2006.0 (Community) for i586" ) \
+                                echo " --> INSTALL: Linux 32 Mandriva 2006 ..."; \
+                                $(CP) $(EXEC) ../bin/lnx86/ ; \
+                                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/lnx86/ ;; \
+                        "Mandriva Linux release 2006.0 (Official) for x86_64" ) \
+                                echo " --> INSTALL: Linux 64 Mandriva 2006 ..."; \
+                                $(CP) $(EXEC) ../bin/x86_64/ ; \
+                                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/x86_64/ ;; \
+                        ( "Mandriva Linux release 2007.0 (Official) for i586" | \
+                          "Mandriva Linux release 2007.1 (Official) for i586" ) \
+                                echo " --> INSTALL: Linux 32 Mandriva 2007 ..."; \
+                                $(CP) $(EXEC) ../bin/lnx86_Mandriva2007/ ; \
+                                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/lnx86_Mandriva2007/ ;; \
+                        ( "Mandriva Linux release 2007.0 (Official) for x86_64" | \
+                          "Mandriva Linux release 2007.1 (Official) for x86_64" ) \
+                                echo " --> INSTALL: Linux 64 Mandriva 2007 ..."; \
+                                $(CP) $(EXEC) ../bin/x86_64_Mandriva2007/ ; \
+                                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/x86_64_Mandriva2007/ ;; \
+                        ( "Mandriva Linux release 2008.0 (Official) for i586" | \
+                          "Mandriva Linux release 2008.1 (Official) for i586" ) \
+                                echo " --> INSTALL: Linux 32 Mandriva 2008 ..."; \
+                                $(CP) $(EXEC) ../bin/lnx86_Mandriva2008/ ; \
+                                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/lnx86_Mandriva2008/ ;; \
+                        ( "Mandriva Linux release 2008.0 (Official) for x86_64" | \
+                          "Mandriva Linux release 2008.1 (Official) for x86_64" ) \
+                                echo " --> INSTALL: Linux 64 Mandriva 2008 ..."; \
+                                $(CP) $(EXEC) ../bin/x86_64_Mandriva2008/ ; \
+                                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/x86_64_Mandriva2008/ ;; \
+			( "Mandriva Linux release 2009.0 (Official) for i586" | \
+                          "Mandriva Linux release 2009.1 (Official) for i586" ) \
+                                echo " --> INSTALL: Linux 32 Mandriva 2009 ..."; \
+                                $(CP) $(EXEC) ../bin/lnx86_Mandriva2009/ ; \
+                                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/lnx86_Mandriva2009/ ;; \
+			( "Mandriva Linux release 2010.0 (Official) for x86_64" | \
+                          "Mandriva Linux release 2010.1 (Official) for x86_64" ) \
+                                echo " --> INSTALL: Linux 64 Mandriva 2010 ..."; \
+                                $(CP) $(EXEC) ../bin/x86_64_Mandriva2010/ ; \
+                                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/x86_64_Mandriva2010/ ;; \
+                        *) \
+                            echo " *** CASE LINUX NOT VALID <`cat /etc/mandriva-release`>. Change your makefile in order to include this case ***";; \
+                esac;; \
+             SunOS) \
+                echo " --> INSTALL: Solaris ..."; \
+                $(CP) $(EXEC) ../bin/solaris/ ; \
+                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/solaris/ ;; \
+             Darwin) \
+                echo " --> INSTALL: MacOS X (darwin) ..."; \
+                $(CP) $(EXEC) ../bin/darwin/ ; \
+                $(CP) $(MQNDIR)/src/$(MQNLIB) $(MQNDIR)/bin/darwin/ ;; \
+             *) echo "UNKNOWN LOCAL MACHINE TYPE (`uname -s`)";; \
+        esac
+	-@echo " $(EXEC) installed."
+
+# DO NOT DELETE
